
# Currency::__construct 

### Usage

>  Currency::__construct(int $id, [ bool $is_active = true ], [ bool $is_create_on_register = true ], [ bool $is_auto_create = true ], [ bool $is_crypto = false ], [ float $current_rate = '0' ], [ string $abbr = '' ], [ string $name = '' ], [ string $adapter = '' ], [ ?DateTime $updated_at = null ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | Yes | int |
is_active | No | bool |
is_create_on_register | No | bool |
is_auto_create | No | bool |
is_crypto | No | bool |
current_rate | No | float |
abbr | No | string |
name | No | string |
adapter | No | string |
updated_at | No | ?DateTime |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [getTxAccounts()](gettxaccounts)
* [getTxs()](gettxs)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


